Package org.eclipse.mat.ui.snapshot.panes.oql

## Class OQLTextViewerConfiguration

- java.lang.Object
- - org.eclipse.jface.text.source.SourceViewerConfiguration
  - - org.eclipse.mat.ui.snapshot.panes.oql.OQLTextViewerConfiguration

    public class OQLTextViewerConfiguration
    extends SourceViewerConfiguration

Configuration provider to assign content assist to the SourceViewer.

### Constructor Summary

Constructors
`OQLTextViewerConfiguration​(ISnapshot snapshot, Color comment, Color keyword)` Associates snapshot at this object.

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getConfiguredContentTypes​(ISourceViewer sourceViewer)`
`IContentAssistant` `getContentAssistant​(ISourceViewer sourceViewer)` Instantiates content assist for every content type
`IPresentationReconciler` `getPresentationReconciler​(ISourceViewer sourceViewer)` Provides syntax highlighting.

### Methods inherited from class org.eclipse.jface.text.source.SourceViewerConfiguration

`getAnnotationHover, getAutoEditStrategies, getAutoIndentStrategy, getCodeMiningProviders, getConfiguredDocumentPartitioning, getConfiguredTextHoverStateMasks, getContentFormatter, getDefaultPrefixes, getDoubleClickStrategy, getHyperlinkDetectors, getHyperlinkPresenter, getHyperlinkStateMask, getIndentPrefixes, getInformationControlCreator, getInformationPresenter, getOverviewRulerAnnotationHover, getQuickAssistAssistant, getReconciler, getTabWidth, getTextHover, getTextHover, getUndoManager`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OQLTextViewerConfiguration

    public OQLTextViewerConfiguration​(ISnapshot snapshot,
                                      Color comment,
                                      Color keyword)

Associates snapshot at this object.

Parameters:
  `snapshot` -

### Method Detail

#### getConfiguredContentTypes

    public String[] getConfiguredContentTypes​(ISourceViewer sourceViewer)

Overrides:
  `getConfiguredContentTypes` in class `SourceViewerConfiguration`
Returns:
  the list of managed content types.

#### getContentAssistant

    public IContentAssistant getContentAssistant​(ISourceViewer sourceViewer)

Instantiates content assist for every content type

Overrides:
  `getContentAssistant` in class `SourceViewerConfiguration`

#### getPresentationReconciler

    public IPresentationReconciler getPresentationReconciler​(ISourceViewer sourceViewer)

Provides syntax highlighting.

Overrides:
  `getPresentationReconciler` in class `SourceViewerConfiguration`